libmpcdec5-1.2.6-34.11.x86_64.rpm


Advertisement

Description

libmpcdec5 - Musepack Audio Decoder

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libmpcdec5-1.2.6-34.11.x86_64.rpm
Package name libmpcdec5
Package version 1.2.6
Package release 34.11
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.musepack.net/
License BSD-3-Clause
Maintainer -
Download size 23.92 KB
Installed size 42.51 KB
Musepack is an audio compression format with a strong emphasis on high
quality. It is not lossless, but it is designed for transparency, so
that you cannot hear differences between the original WAV file and the
much smaller MPC file.
It is based on the MPEG-1 Layer-2 / MP2 algorithms, but since 1997 it
has rapidly developed and vastly improved and is now at an advanced
stage in which it contains heavily optimized and patentless code.
Musepack is not particularly optimized for low bit rates. The encoder
was designed to be transparent at the --standard setting, thus little
low bit rate tuning has gone into the codec, unlike that of AAC,
Vorbis, WMA, and others that focus more on this region.

Alternatives

Package Version Architecture Repository
libmpcdec5-1.2.6-46.33.x86_64.rpm 1.2.6 x86_64 Multimedia Libs
libmpcdec5-1.2.6-46.33.i586.rpm 1.2.6 i586 Multimedia Libs
libmpcdec5-1.2.6-34.11.i586.rpm 1.2.6 i586 openSUSE Oss
libmpcdec5 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -

Provides

Name Value
libmpcdec = 1.2.6
libmpcdec.so.5()(64bit) -
libmpcdec5 = 1.2.6-34.11
libmpcdec5(x86-64) = 1.2.6-34.11

Obsoletes

Name Value
libmpcdec < 1.2.6

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libmpcdec5-1.2.6-34.11.x86_64.rpm
Source Package libmpcdec-1.2.6-34.11.src.rpm

Install Howto

Install libmpcdec5 rpm package:

# zypper install libmpcdec5

Files

Path
/usr/lib64/libmpcdec.so.5
/usr/lib64/libmpcdec.so.5.0.2

Changelog

2015-07-17 - mpluskal@suse.com
- Add baselibs.conf as source
2015-07-14 - mpluskal@suse.com
- Update source url
- Explicitly depend on autoconf/automake
- Cleanup spec file with spec-clener
2012-12-29 - crrodriguez@opensuse.org
- libmpcdec-byteswap.patch, use OS byteswap routines.
(that in turns needs AC_USE_SYSTEM_EXTENSIONS)
- build with large file support.
2011-04-14 - toddrme2178@gmail.com
- added 32bit compatibility libraries
- package no longer obsoletes itself (fix for RPMLINT warning)
2010-03-17 - aj@suse.de
- Add gcc-c++ as build requires to fix build.
2010-03-16 - ro@suse.de
- disable autoreconf to fix build
2007-08-15 - crrodriguez@suse.de
- fixes build on ia-64 only useless and unpackaged sample
requires g++ for build (libmpcdec-1.2.6-nosamples.patch)
2007-08-13 - crrodriguez@suse.de
- remove static libraries
- remove libtool archive with empty dependency_libs
- add missing glibc-devel dependency on -devel package
2007-07-29 - ro@suse.de
- provide old name
2007-07-25 - sbrabec@suse.cz
- Updated to version 1.2.6:
* Fix possible noise at the beginning of files
* Increase API version
* Fix broken stream initialization on non-mpc files
* Added fast-seeking
* Reduced memory usage and code size
- Name package according to shared library packaging policy.

See Also

Package Description
libmpcdec5-32bit-1.2.6-34.11.x86_64.rpm Musepack Audio Decoder
libmpd-devel-11.8.17-1.12.i586.rpm Development Files for libmpd
libmpd-devel-11.8.17-1.12.x86_64.rpm Development Files for libmpd
libmpd1-11.8.17-1.12.i586.rpm The libmpd package
libmpd1-11.8.17-1.12.x86_64.rpm The libmpd package
libmpd1-32bit-11.8.17-1.12.x86_64.rpm The libmpd package
libmpdclient-devel-2.16-1.2.i586.rpm Development files for libmpdclient
libmpdclient-devel-2.16-1.2.x86_64.rpm Development files for libmpdclient
libmpdclient2-2.16-1.2.i586.rpm Library for interfacing the Music Player Daemon
libmpdclient2-2.16-1.2.x86_64.rpm Library for interfacing the Music Player Daemon
libmpeg2-0-0.5.1-2.3.i586.rpm MPEG-2 Video Stream Decoder
libmpeg2-0-0.5.1-2.3.x86_64.rpm MPEG-2 Video Stream Decoder
libmpeg2-0-32bit-0.5.1-2.3.x86_64.rpm MPEG-2 Video Stream Decoder
libmpeg2-devel-0.5.1-2.3.i586.rpm Development files for libmpeg2
libmpeg2-devel-0.5.1-2.3.x86_64.rpm Development files for libmpeg2
Advertisement
Advertisement